summary refs log tree commit diff
path: root/install.sh
diff options
context:
space:
mode:
authorJune McEnroe <programble@gmail.com>2017-09-15 11:30:20 -0400
committerJune McEnroe <programble@gmail.com>2017-09-15 11:30:20 -0400
commit147512b83552a097f770db85def0d9d446420d1b (patch)
treec0528989f271ac16d706170232579d8e91e780cc /install.sh
parentRename files directory etc (diff)
downloadsrc-147512b83552a097f770db85def0d9d446420d1b.tar.gz
src-147512b83552a097f770db85def0d9d446420d1b.zip
Rename zsh scripts .zsh
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/install.sh b/install.sh
index 0684b053..2e159f5a 100755
--- a/install.sh
+++ b/install.sh
@@ -3,26 +3,26 @@ set -eu
 
 common='gdb git gnupg htop sl the_silver_searcher tree'
 
+homebrew=https://raw.githubusercontent.com/Homebrew/install/master/install
 macos() {
-  homebrew=https://raw.githubusercontent.com/Homebrew/install/master/install
-  xcode-select --install || true
-  [ ! -f /usr/local/bin/brew ] && ruby -e "`curl -fsSL $homebrew`"
-  brew install $common
-  brew install ddate neovim/neovim/neovim openssh
+    xcode-select --install || true
+    [ ! -f /usr/local/bin/brew ] && ruby -e "`curl -fsSL $homebrew`"
+    brew install $common
+    brew install ddate neovim/neovim/neovim openssh
 }
 
 freebsd() {
-  pkg install $common
-  pkg install curl ddate neovim sudo zsh
+    pkg install $common
+    pkg install curl ddate neovim sudo zsh
 }
 
 arch() {
-  pacman -Sy
-  pacman -S --needed base-devel
-  pacman -S --needed $common
-  pacman -S --needed neovim openssh zsh
+    pacman -Sy
+    pacman -S --needed base-devel
+    pacman -S --needed $common
+    pacman -S --needed neovim openssh zsh
 }
 
-[ "$(uname)" = 'Darwin' ] && macos && exit
-[ -f /usr/local/sbin/pkg ] && freebsd && exit
-[ -f /usr/bin/pacman ] && arch && exit
+[ "$(uname)" = 'Darwin' ] && macos
+[ -f /usr/local/sbin/pkg ] && freebsd
+[ -f /usr/bin/pacman ] && arch